Bug Hunting Session
Bug 79174 - statistical formules in sheet N+1 do not refer to sheet N
Summary: statistical formules in sheet N+1 do not refer to sheet N
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha1
Hardware: All Linux (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.4.0 target:4.3.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-24 12:39 UTC by Luc
Modified: 2015-02-24 23:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example spreadsheet with the 2 sheets (13.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-24 12:39 UTC, Luc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luc 2014-05-24 12:39:12 UTC
Created attachment 99704 [details]
example spreadsheet with the 2 sheets

- open Calc
- enter numbers in sheet 1
- select the area
- Data -> Statistics -> Descriptive statistics
- now you need to select the position where the statistical formulas are stored
- select the position in sheet 2
- click enter or OK

- now text + formulas are entered in sheet 2

However the formulas should refer to sheet 1, however this is not done.
Comment 1 Cor Nouws 2014-05-24 13:12:14 UTC
Thanks for reporting Luc,

I confirm this. And see the problem in 4.2.0alpha1, the oldest version with the statistic functions that I have.
Cheers,
Cor
Comment 2 Kohei Yoshida 2014-05-30 18:46:19 UTC
Taking it.
Comment 3 Commit Notification 2014-05-30 19:01:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ab538885d818a7b3706df48a625e2523a8ebbdf

fdo#79174: Use 3D address when the input and output are on different sheets.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-30 19:02:55 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16e299afa4051affc357fe7990d7632b37c6aea7&h=libreoffice-4-3

fdo#79174: Use 3D address when the input and output are on different sheets.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-05-30 20:08:30 UTC
4.2 backport: https://gerrit.libreoffice.org/9578
Comment 6 Commit Notification 2014-05-31 16:37:58 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdf33526442f4a601e6d2a80a4ec3c690b12c3fa&h=libreoffice-4-2

fdo#79174: Use 3D address when the input and output are on different sheets.


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-05-31 16:59:43 UTC
Fixed in 4.2.